Subject: Re: Help with command shell error

From: [email-masked] (Helmut EYSSELE)
Date: Fri, 29 Nov 1996 11:32:16 +0100

> 
> When running AUCTEX I get this message
> ++++++++++++++++++++++++++++++++
> Running `LaTeX2e' on `foo'
>  with ``latex '\nonstopmode\input{exam_soln.tex}'''
> Specified COMMAND search directory bad
> Too many parameters
> Too many parameters
> 
> 
> Microsoft(R) Windows 95
>    (C)Copyright Microsoft Corp 1981-1995.
> ++++++++++++++++++++++++++++++++++
> Does the "Specified COMMAND search directory bad" message mean that the   
>  file 'foo' is not found because the full pathname is required?
> 
> What about the "Too many parameters" message? How does this arise?
> 

To run AUCTeX under Windows 95 you must customize the files tex-site.el
and tex-buf.el. tex-buf.el can be customized by overload the definitions
in the file [._]emacs:

  ;; Customizing tex-buf.el:

  (defvar TeX-process-asynchronous (not (eq system-type '(ms-dos windows-nt)))
    "*Use asynchronous processes.")	;; included in this list _^

  (defvar TeX-shell
    (if (memq system-type '(ms-dos emx windows-nt))
        shell-file-name		    ;; ^_ included in this list
      "C:\\WINDOWS\\COMMAND.COM")   ;; "/bin/sh" changed
    "Name of shell used to parse TeX commands.")

  (defvar TeX-shell-command-option  ;; v- included in this list
    (cond ((eq system-type '(ms-dos windows-nt))
	   (if (boundp 'shell-command-option)
	       shell-command-option
	     "/c"))
	  (t				;Unix & EMX (Emacs 19 port to OS/2)
	   "-c"))
    "Shell argument indicating that next argument is the command.")

  ;; End of Site Customization.

You must include the system-type windows-nt! The latter error messages
come from the wrong specifyer "-c" by calling command.com.

Furthermore I have not achieved that the command LaTeX works fine. Only
the command LaTeX Interactive works fine under Windows 95.

I hope this is helpful.

			Helmut EYSSELE
      __   ______	Bosch Telecom GmbH
     / /  / ____/	Abt. UC-RF/EBG
    / /__/ /__		71520 Backnang, GERMANY
   / ___  ___/		  EMAIL: [email-masked]
  / /  / /___		    and: [email-masked]
 /_/  /_____/		  PHONE: +49-7191-13-2795
___________________________________________________________